From 6dd7b50183ffbded00d67440abbe57c01f1f620b Mon Sep 17 00:00:00 2001
From: Alex Kogan <alex.kogan@oracle.com>
Date: Tue, 7 Apr 2020 17:21:00 -0400
Subject: [PATCH] locking/qspinlock: Fix compilation error on ARCH=i386

Signed-off-by: Alex Kogan <alex.kogan@oracle.com>
Reported-by: kbuild test robot <lkp@intel.com>
---
 arch/x86/include/asm/qspinlock.h | 2 --
 arch/x86/kernel/alternative.c    | 2 ++
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/arch/x86/include/asm/qspinlock.h b/arch/x86/include/asm/qspinlock.h
index 5a3027d8ea27..fe4884b6f1b4 100644
--- a/arch/x86/include/asm/qspinlock.h
+++ b/arch/x86/include/asm/qspinlock.h
@@ -29,8 +29,6 @@ static __always_inline u32 queued_fetch_set_pending_acquire(struct qspinlock *lo
 
 #ifdef CONFIG_NUMA_AWARE_SPINLOCKS
 extern void cna_configure_spin_lock_slowpath(void);
-#else
-static inline void cna_configure_spin_lock_slowpath(void) { }
 #endif
 
 #ifdef CONFIG_PARAVIRT_SPINLOCKS
diff --git a/arch/x86/kernel/alternative.c b/arch/x86/kernel/alternative.c
index 50f79a8aa2a9..92e075f09201 100644
--- a/arch/x86/kernel/alternative.c
+++ b/arch/x86/kernel/alternative.c
@@ -739,7 +739,9 @@ void __init alternative_instructions(void)
 	}
 #endif
 
+#if defined(CONFIG_NUMA_AWARE_SPINLOCKS)
 	cna_configure_spin_lock_slowpath();
+#endif
 
 	apply_paravirt(__parainstructions, __parainstructions_end);
 
-- 
2.21.1 (Apple Git-122.3)

